export const ALT_STRING = {
  COMMON: {
    BTN_BACK: '뒤로가기 버튼',
    BTN_CLOSE: '닫기 버튼',
    BTN_MOVE: '이동 버튼',
    ICON_CHECK: '체크 아이콘',
    ICON_TOOLTIP: '툴팁 아이콘',
    ICON_CLEAR_INPUT_TEXT: '입력값 초기화 아이콘',
    BADGE_LV1: '도우 등급',
    BADGE_LV2: '초코 등급',
    BADGE_LV3: '스프링클 등급',
    BADGE_LV4: '전문가 등급',
    NICKNAME: (nickname) => `${nickname} 프로필`,
    RECIPE: (name) => `${name} 레시피 이미지`,
    ADD_IMAGE: '이미지 추가',
    MEMBERSHIP_INFO: '멤버십 정보',
  },
  MAIN: {
    DONOTS_LOGO: '도낫츠 로고',
    AOS_DOWNLOAD: '안드로이드 앱 다운로드 버튼',
    IOS_DOWNLOAD: '아이오에스 앱 다운로드 버튼',
    APP_QR_CODE: 'donots.co.kr/qr 바로가기 QR 코드',
    PRIVACY: '개인정보 처리방침',
    PERSONAL: '이용약관',
    DONOTS_AGREE: '도낫츠 이용약관',
    AUTH_AGREE: '본인인증 이용약관',
  },
  GNB: {
    CREATE_RECIPE: '작성하기',
  },
  SIGN_UP: {
    BTN_ARROW_DOWN: '펼침 버튼',
    TMP_ID: '임시 아이디 값',
    TMP_PASSWORD: '임시 비밀번호 값',
    AUTH_CODE: (index) => `인증번호 ${index}번째`,
  },
  HOME: {
    PROFILE: '프로필',
    ALARM: '알림 아이콘',
    CONTENT: (subject) => `${subject} 콘텐츠 배너`,
    EXPERT: (subject) => `${subject} 전문가 컬럼 배너`,
    SEASON: (subject) => `${subject} 레시피 배너`,
    NOTICE_RECIPE_POSTING: '레시피 승인 알림 아이콘',
    NOTICE_ITEM: '공지사항 알림 아이콘',
    NOTICE_RECIPE_EXAMINATION: '레시피 검수 요청 알림 아이콘',
    NOTICE_POST_COMMENT: '게시글 댓글 알림 아이콘',
    NOTICE_RECIPE_REJECT: '레시피 반려 알림 아이콘',
    LOGO_40PX: '초코 등급 변경 알림 아이콘',
    LOGO_SPRINKLE_40PX: '스프링클 등급 변경 알림 아이콘',
  },
  LAB: {
    MAIN: {
      BABY_FOOD: '도낫츠 엄빠들이 뽑은 시판이유식 BEST 5',
      NUTRITION: '도낫츠 엄빠들이 뽑은 영양제 BEST 5',
    },
    PREVIEW: {
      BABY_FOOD: '도낫츠 엄빠들이 뽑은 시판이유식 BEST 5 미리보기',
      NUTRITION: '도낫츠 엄빠들이 뽑은 영양제 BEST 5 미리보기',
    },
    COMMENT: {
      INPUT: '글 입력란',
      CHECK: '내가 쓴 글만 보기 체크',
    }
  },
  SEARCH: {
    ICON_SEARCH: '검색 버튼',
    INPUT_SEARCH: '검색 입력 란',
    CHECK_AVOID: '피해야할 재료가 들어간 레시피 제외 체크',
  },
  MY: {
    PROFILE: '프로필',
    PROFILE_CHILDREN: '아이 프로필',
    ICON_VIEW: '조회 수 아이콘',
    ICON_FAVORITE: '스크랩 아이콘',
    ICON_RECIPE_CNT: '레시피 작성 수 아이콘',
    ICON_SETTING: '설정 아이콘',
    ICON_DEL_CHILDREN: '아이 삭제 아이콘',
    ADD_CHILDREN: '아이 추가 버튼',
    ICON_OPEN_DOWN: '펼침 아이콘',
    ICON_CLOSE_UP: '닫힘 아이콘',
    BTN_CHANGE_PROFILE: '프로필 사진 변경 버튼',
    BTN_CHANGE_CHILDREN_PROFILE: '아이 프로필 사진 변경 버튼',
    BADGE_LEVEL: '등급 뱃지',
    INPUT_NICKNAME: '이름/닉네임 입력 란',
    INPUT_EMAIL: '이메일 입력 란',
    INPUT_BIRTH: '생년월일 입력 란',
    INPUT_PHONE: '휴대전화 입력 란',
    INPUT_LINK: 'SNS 링크 입력 란',
    INPUT_INTRODUCE: '한줄소개 입력 란',
    CHILDREN: {
      INPUT_NICKNAME: '아이 이름/닉네임 입력 란',
      INPUT_BIRTH: '아이 생년월일 입력 란',
      INPUT_HEIGHT: '아이 키 입력 란',
      INPUT_WEIGHT: '아이 몸무게 입력 란',
    },
    WITHDRAW: '탈퇴 이유 입력 란',
  },
  SETTING: {
    CONTENT_DETAIL: (title) => `${title} 상세 1`,
    DONOTS_LOGO: '도낫츠 로고',
    BTN_ARROW_DOWN: '펼침 버튼',
    ADD_PICTURE: '이미지 추가 버튼',
    ICON_DEL_PICTURE: '이미지 삭제 아이콘',
    MOVE: (title) => `${title} 이동 버튼`,
    AGREE: {
      SERVICE: '서비스 이용약관',
      PERSONAL: '개인정보 처리방침',
      MARKETING: '마케팅 등을 위한 개인정보 수집 및 이용동의',
    },
    LICENSE: '오픈소스 라이센스',
    ONE_ON_ONE: {
      SELECT_INQUIRY: '문의 선택 란',
      INPUT_TITLE: '제목 입력 란',
      INPUT_DETAILS: '설명 입력 란',
    }
  },
  RECIPE_DETAIL: {
    RECIPE_FIRST: '레시피 대표',
    RECIPE_IMAGE: (num) => `레시피 상세 ${num}`,
    RECIPE_PREVIEW: '레시피 상세 미리보기',
    BTN_MOVE_ALLERGY: '알레르기 유발 재료 이동 버튼',
    RECIPE_STEP: (step) => `레시피 스텝 ${step}`,
    BTN_MOVE_UP: '상단 이동 버튼',
    BTN_SHARE: '공유하기 버튼',
  },
  RECIPE_CREATE: {
    ADD_IMAGE: '이미지 첨부',
    INPUT_RECIPE_NAME: '요리명 입력 란',
    INPUT_RECIPE_DETAIL: '요리 설명 란',
    BTN_ADD_IMAGE: '이미지 등록 버튼',
    BTN_DEL_IMAGE: '이미지 삭제 버튼',
    HEALTH_NOTE: '건강 노트 입력 란',
    BTN_DECREASE: '감소 버튼',
    BTN_INCREASE: '증가 버튼',
    INPUT_MATERIAL: '재료량 입력 란',
    ICON_CHANGE_ORDER: '순서 변경 아이콘',
    INPUT_TAG: '태그 입력 란',
    BTN_DEL: '삭제 버튼',
  }
}
